Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5998 - squashing doesn't work
Summary: squashing doesn't work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-15 21:14 UTC by Craig Kelley
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-17 12:03:19 UTC


Attachments (Terms of Use)

Description Craig Kelley 1999-10-15 21:14:39 UTC
I have RedHat 6.1 with:

  knfsd-clients-1.4.7-7
  knfsd-1.4.7-7

My export file looks like this:

  /usr/local/pub private.isu.edu(ro,squash_all)

The target machine still gets all the UIDs and only the
root-owned files get squashed to nobody.  The nobody IDs are
the same on both machines (the target machine is RedHat
5.2).  This makes it next to impossible to have public
exports based on real user's work.

Comment 1 Bernhard Rosenkraenzer 2000-02-17 12:03:59 UTC
It's all_squash, not squash_all.


Note You need to log in before you can comment on or make changes to this bug.